function stop_menu()
end;

room {
  nam = 'tiny_load';
  onenter = function(s)
    walk('main');
    instead.menu('load');
  end;
}

room {
  nam = 'tiny_quit';
  onenter = function(s)
    walk('main');
    instead.menu('exit');
    return false;
  end;
}

room {
  nam = 'tiny_start';
  onenter = function(s)
    walk('above_forest');
    in_game = true;
    return false;
  end;
}

room {
  nam = 'tiny_tutorial';
  onenter = function(s)
    walk('tutorial_start');
    in_game = true;
  end;
}

room {
  nam = 'main';
  notitle = true;
  nosave = true;
  noautosave = true;
  noinv = true;
  nofading = true;
  disp = '';
  theme = 'menu';
  decor = 'A Dragon and the Tower';
  onenter = function(s)
    in_game = false;
  end;
  themeDispose = function(s)
    timer:stop();
  end;
  enter = function(s)
    if prefs.completed then
      snd.music('sound/bgm_credits.ogg');
    else
      snd.music('sound/bgm_intro.ogg');
    end;
  end;
  way = {
    path{'Start', 'intro_start'};
    --path{'Load', 'tiny_load'};
    path{'About', 'intro_info'};
    path{'Settings', 'intro_settings'};
    --path{'Quit', 'tiny_quit'};
  }
}

room {
  nam = 'intro_start';
  notitle = true;
  nosave = true;
  noautosave = true;
  noinv = true;
  nofading = true;
  disp = '';
  theme = 'menu';
  themeDispose = function(s)
    timer:stop();
  end;
  ondecor = function(s, name, press, x, y, btn)
    if press then
      if name == 'start' then
        walk('above_forest');
        in_game = true;
        return true;
      elseif name == 'tutorial' then
        walk('tutorial_start');
        in_game = true;
        return true;
      elseif name == 'back' then
        walk('main');
        return true;
      end;
    end;
    return false;
  end;
  decor = translate("menu_locale", 'intro');
  way = {
    path {'Start', 'tiny_start'};
    path {'Tutorial', 'tiny_tutorial'};
    path {'Back', 'main'};
  }
}

room {
  nam = 'intro_info';
  notitle = true;
  nosave = true;
  noautosave = true;
  noinv = true;
  nofading = true;
  disp = '';
  theme = 'menu';
  themeDispose = function(s)
    timer:stop();
  end;
  decor = function(s)
    return credits_text(false);
  end;
  way = {
    path {'Back', 'main'};
  }
}

room {
  nam = 'tiny_from_settings';
  onenter = function(s)
    if in_game then
      walkback();
    else
      walk('main');
    end;
    return false;
  end;
}

room {
  nam = 'intro_settings';
  nofollow = true;
  notitle = true;
  nosave = true;
  noautosave = true;
  noinv = true;
  nofading = true;
  disp = '';
  theme = 'menu';
  themeDispose = function(s)
    timer:stop();
  end;
  way = {
    path {'Back', 'tiny_from_settings'};
  };
}:with {
  obj {
    nam = '#language';
    dsc = function(s)
      local l = translate_now("menu_locale", 'auto_option');

      pn(fmt.c(fmt.b(translate_now("menu_locale", 'language'))));
      
      local t;
      if get_language_saved() == '' then
        t = l .. ' (Selected)';
      else
        t = '{#l_auto|'.. l .. '}';
      end;
      
      for i, language in ipairs(get_language_list()) do
        if get_language_saved() == language[1] then
          t = t .. ' | ' .. language[2] .. ' (Selected)';
        else
          t = t .. ' | ' .. '{@set_language ' .. language[1] .. '|' .. language[2] .. '}';
        end;
      end;
    
      pn(fmt.c(t) .. '^')
    end;
  }: with {
    obj {
      nam = '#l_auto';
      act = function(s)
        set_language('');
        walk(here());
      end;
    };
  };
}

menu {
  nam = 'tiny_ingame_settings';
  disp = 'Settings';
  inv = function(s)
    walk('intro_settings');
  end;
}

function get_sprite(path, transparent)
  return nil;
end;
